/* This file is part of the KDE project
   Copyright (C) 2001 Ian Reinhart Geiser <geiseri@yahoo.com>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the Lesser GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the Lesser GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#include "tdeappdcopinterface.h"
#include <tdeapplication.h>
#include <dcopclient.h>
#include <tdeglobal.h>
#include <tdeconfig.h>


TDEAppDCOPInterface::TDEAppDCOPInterface(TDEApplication * theKApp)
	: DCOPObject( "MainApplication-Interface")
{
	m_TDEApplication = theKApp;
}

TDEAppDCOPInterface::~TDEAppDCOPInterface()
{
}

void TDEAppDCOPInterface::disableSessionManagement()
{

}

TQCString TDEAppDCOPInterface::startupId()
{
	return "";
}

TQCString TDEAppDCOPInterface::caption()
{
	return "";
}

void TDEAppDCOPInterface::quit()
{
	m_TDEApplication->quit();
}

void TDEAppDCOPInterface::updateUserTimestamp( ulong time )
{
	m_TDEApplication->updateUserTimestamp( time );
}

void TDEAppDCOPInterface::reparseConfiguration()
{
	TDEGlobal::config()->reparseConfiguration();
}

void TDEAppDCOPInterface::sendFakeKey( unsigned int keyCode) {
	m_TDEApplication->broadcastKeyCode(keyCode);
}

